Subject: Re: bug#44180: 28.0.50; Emacs frames won't redisplay unless resized

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 23 Oct 2020 14:07:00 -0700

On 10/23/20 22:38 PM, Eli Zaretskii wrote:
>> From: Eric Abrahamsen <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 23 Oct 2020 12:07:33 -0700
>> 
>> > Sounds like Emacs thinks those other frames are invisible or
>> > iconified.  Emacs never redisplays such frames, for obvious reasons.
>> 
>> Thanks for the clue. I get:
>> 
>> (mapcar (lambda (f) (frame-parameter f 'visibility)) (frame-list))
>> => (icon icon t)df
>> 
>> Whichever frame I've forced to be "live" always gets t, and the others
>> become icons.
>
> What do you mean by "become icons"?  Are they visible or aren't they?

I just meant that their 'visibility frame-parameter became 'icon. Their
"real" visibility is the same as always -- the two non-focused frames
are visible only as stacked title bars above the currently focused frame.

>> I haven't changed anything in my window manager config, and the i3
>> package hasn't been updated since August. The only recent commit that
>> looks like it could be at all relevant is 2c0cd90083.
>
> And if you revert that change, does the problem go away?

Yes it does!